### Method

# Gio DBusObjectSkeleton set_object_path

since: 2.30

#### Declaration

    void
    g_dbus_object_skeleton_set_object_path (
      GDBusObjectSkeleton* object,
      const gchar* object_path
    )

#### Description

Sets the object path for `object`.

Available since: 2.30

#### Parameters

`object_path`

  Type: `const gchar*`

  A valid D-Bus object path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.